import { HttpBackend, HttpClient, HttpInterceptor } from '@angular/common/http';
export declare class ForkableHttpClient extends HttpClient {
    private backend;
    private interceptors;
    constructor(backend: HttpBackend, interceptors: HttpInterceptor[]);
    fork(...interceptors: HttpInterceptor[]): ForkableHttpClient;
}
export declare function forkHttpClient(parent: ForkableHttpClient, ...interceptors: HttpInterceptor[]): ForkableHttpClient;
